Module | Ramaze::Helper::Link
In: | lib/ramaze/helper/gestalt.rb lib/ramaze/helper/link.rb

This is a modification of Innate::Helper::Link to respect the routing of Ramaze

NOTE: The A/R/Rs methods have been deprecated.

### Methods

breadcrumbs route_location

### Public Instance methods

breadcrumbs(path, split = '/', join = '/', href_prefix = '')

Give it a path with character to split at and one to join the crumbs with. It will generate a list of links that act as pointers to previous pages on this path.

@example usage

      breadcrumbs('/path/to/somewhere')

      # results in this, newlines added for readability:

      <a href="/path">path</a>/
      <a href="/path/to">to</a>/
      <a href="/path/to/somewhere">somewhere</a>

Optionally a href prefix can be specified which generate link names a above, but with the prefix prepended to the href path.

@example usage

      breadcrumbs('/path/to/somewhere', '/', '/', '/mycontroller/action')

      # results in this, newlines added for readability:

      <a href="/mycontroller/action/path">path</a>/
      <a href="/mycontroller/action/path/to">to</a>/
      <a href="/mycontroller/action/path/to/somewhere">somewhere</a>

@return [String]

route_location(klass)

[Validate]